/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/


/* fixing layer order for mobile menu */


/* main#main {
    position: relative;
    z-index: 1;
}

ul#menu-public-mobile-menu,
ul#menu-logged-in-mobile-menu {
    max-height: unset;
}*/

.fusion-fullwidth.fullwidth-box.fusion-builder-row-2.fusion-flex-container.nonhundred-percent-fullwidth.non-hundred-percent-height-scrolling {
    position: relative;
    z-index: 9;
}

#mobile-menu ul#menu-main-menu {
    max-height: unset;
}

section.fusion-tb-header {
    z-index: 20;
    position: relative;
}


/* home page main image */

.main-image-container {
    background-image: url(~/images/homepage-Nov-21_a.jpg), linear-gradient(90deg, rgba(77, 122, 153, 0.75) 0%, rgba(255, 255, 255, 0) 7%, rgba(255, 255, 255, 0) 91%, rgba(77, 122, 153, 0.75) 100%);
}


/* standard table styling */

.ipc-standard-table thead tr th {
    background-color: #003F62;
    border: 0px;
    color: #fff;
}

.ipc-standard-table tbody tr td {
    border: none;
}

.ipc-standard-table tr:nth-child(even),
.tkt-slctr-tbl-wrap-dv tr:nth-child(even) {
    background: #dddddd !important;
}


/*products page */


/*layout setup */

.right {
    float: right;
}

.right:after {
    content: "";
    display: table;
    clear: both;
}

.productListContainer {
    display: flex;
}

.filters {
    width: 24vw;
    margin-right: 1vw;
}

.resultsList {
    width: 75vw;
}

.resultsOptions {
    width: 100%;
    min-height: 2vh;
    background-color: #aaa;
    text-align: center;
}

.results {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1vw;
}

.result {
    min-width: 1fr;
    border: 1px solid #ccc;
    line-height: 1.2;
    margin-bottom: 2vh;
}

.result table {
    min-height: 84%;
}

.name {
    padding-top: 1vh;
    padding-right: .5vw;
    padding-bottom: 1vh;
}

.name,
.estNetPrice,
.ndc {
    padding-left: .5vw;
}

.ndc {
    padding-right: .5vw;
}

.estNetPrice span,
.ndc span,
.id span {
    font-weight: 600;
}


/* filter styling */

.filters h2 {
    padding-bottom: 1vh;
    border-bottom: 1px solid #ccc;
}

h3.expandable {
    color: #666 !important;
    font-size: 16px !important;
    margin: 1.5vh 0 1vh;
}

.filter {
    padding-bottom: 1vh;
    border-bottom: 1px solid #ccc;
}

.expandable {
    width: 100%;
    cursor: pointer;
}

.expandable:after {
    content: '\002B';
    color: #ccc;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.active:after {
    content: "\2212";
}

.filterItmes {
    padding: 0 18px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}


/* Quanity selector */

.productsQty {
    padding: .5vh .2vw;
    margin-top: 1vh;
    margin-right: 0;
    border-top: 1px solid #ccc;
}

.productsQty input.qtyField {
    -webkit-appearance: none;
    border: 1px solid rgb(207, 207, 207);
    text-align: center;
    width: 24%;
    height: 34px;
    font-size: 16px;
    color: #43484D;
    font-weight: 600;
}


/* Chrome, Safari, Edge, Opera */

.productsQty input.qtyField::-webkit-outer-spin-button,
.productsQty input.qtyField::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}


/* Firefox */

.productsQty .qtyField input[type=number] {
    -moz-appearance: textfield;
}

button[class*=btn] {
    width: 30px;
    height: 30px;
    background-color: #E1E8EE;
    border-radius: 6px;
    border: none;
    cursor: pointer;
}

button:focus,
input:focus {
    outline: 0;
}

button.add-to-cart {
    margin-left: .5vw;
    padding: 13px 20px;
}


/* replace ul bull w checks */

.ulChecks ul {
    list-style: none;
    margin-top: 0;
    padding-left: 1vw;
}

.ulChecks li {
    line-height: 1.4;
}

.ulChecks li:before {
    content: "\2713";
    color: #287534;
    font-weight: bold;
    padding-right: 10px;
    font-size: 1.6em;
}


/* about us */

.staffPics img {
    border-radius: 20px;
}


/* outline button - replaces default button */

a.outline-button {
    border: 3px solid #fff;
    background-image: none!important;
    background: none;
}

a.outline-button:hover {
    border: 3px solid #ddd;
    background: none;
}